package lotteriespiel;

import lotteriespiel.module.Persistenz;
import lotteriespiel.module.Zahlengenerator;

/**
 *
 * @author Andre Heidt
 */
public class Lotterie {

    Persistenz persistenz;
    Zahlengenerator zahlgen;

    public Lotterie(Persistenz persistenz, Zahlengenerator zahlgen) {
        this.persistenz = persistenz;
        this.zahlgen = zahlgen;
    }

    public void spielStart() throws Exception {
        StringBuffer gewinnzahl = new StringBuffer();
        
        for(int i=0;i<5;i++){
            gewinnzahl.append(holZufallZahl());
        }
        persistenz.persistiereZahl(gewinnzahl.toString());
    }

    private int holZufallZahl() throws Exception {
        int ziffer = zahlgen.generiereZahl();
        if (ziffer<0||ziffer>9) {
            throw new Exception("Nur Ziffern 0-9!");
        }
        return ziffer;
    }
}
